<div class="vendor-app-container">
  <h1>App Selection</h1>
  <mat-radio-group
    (change)="onRadioButtonChange($event)"
    class="app-radio-group">
    <mat-radio-button
      *ngFor="let app of appGeneratorService.apps"
      data-cy="radio-buttons"
      [value]="app">
      {{app.appName}}
    </mat-radio-button>
  </mat-radio-group>
  <div class="full-row-container">
    <app-data-creator data-cy="scope-id-input" labelText="Please insert Scope Id" (sendData)="sendScope($event)"></app-data-creator>
    <app-data-creator data-cy="token-input" labelText="Please insert Token" (sendData)="sendToken($event)"></app-data-creator>
    <app-data-creator data-cy="wbs-url-input" labelText="Please insert WBS URL" (sendData)="sendWbsUrl($event)"></app-data-creator>
  </div>
  <div class="full-row-container">
    <mat-label data-cy="scope-ready">Is Scope ready: <b>{{scopeReadyMap.get(currentAppId)}}</b></mat-label>
    <mat-label data-cy="token-ready">Is Token ready: <b>{{tokenReadyMap.get(currentAppId)}}</b></mat-label>
    <mat-label data-cy="wbs-url-ready">Is WbsUrl ready: <b>{{wbsUrlReadyMap.get(currentAppId)}}</b></mat-label>
  </div>
  <div class="full-row-container">
    <mat-label data-cy="token-request">Received: {{tokenRequestMap.get(currentAppId)}}</mat-label>
  </div>
  <div class="app-container">
    <app-vendor-app-surface
      *ngFor="let app of appGeneratorService.apps"
      [appUrl]="app.appUrl"
      [appId]="app.id"
      [isActive]="app.id === currentAppId"
      [sandboxParameters]="appGeneratorService.sandboxParameters"
      [scope]="scopeMap.get(app.id)!"
      [token]="tokenMap.get(app.id)!"
      [wbsUrl]="wbsUrlMap.get(app.id)!"
      (receiveScopeReady)="onReceiveScopeReady($event)"
      (receiveTokenReady)="onReceivedTokenReady($event)"
      (receiveWbsUrlReady)="onReceivedWbsUrlReady($event)"
      (receiveTokenRequest)="onReceivedTokenRequest($event)">
    </app-vendor-app-surface>
  </div>
</div>
